pinv = player.getInventory()

if(pinv.getItemInSlot(1) != null)
{
if(pinv.getItemInSlot(1).getItemID() != 461)
{
for(i=0;i<1;i++)
{
if(pinv.getItemInSlot(i) == null)
{
var pitem = pinv.getItemInSlot(1).copy();
pinv.emptySlot(1);
pinv.setSlot(i, item);
}
}
}
}
if (pinv.getSlotContainingItem(461) != -1)
{
if (pinv.getSlotContainingItem(461) != 1)
{
try
{
var count = pinv.getItemInSlot(1).getQuantity();
}
catch(e) { var count = 0; }
var item = pinv.getItemInSlot(pinv.getSlotContainingItem(461)).copy();
pinv.emptySlot(pinv.getSlotContainingItem(461));
if (count < 2)
{
if (item.getQuantity() + count <= 1)
{
item.setQuantity(item.getQuantity() + count);
}
else
{
item.setQuantity(1);
}
}
else
{
item.setQuantity(1);
}
pinv.setSlot(1, item);
}
}
